Package org.codehaus.groovy.ast.decompiled

# Class AsmDecompiler

java.lang.Object
org.codehaus.groovy.ast.decompiled.AsmDecompiler

public abstract class AsmDecompiler extends Object
A utility class responsible for decompiling JVM class files and producing `ClassStub` objects reflecting their structure.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AsmDecompiler()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ClassStub`
  `parseClass(URL url)`
  Loads the URL contents and parses them with ASM, producing a `ClassStub` object representing the structure of the corresponding class file.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AsmDecompiler

    public AsmDecompiler()

- ## Method Details

  - ### parseClass

    public static ClassStub parseClass(URL url) throws IOException
    Loads the URL contents and parses them with ASM, producing a `ClassStub` object representing the structure of the corresponding class file. Stubs are cached and reused if queried several times with equal URLs.
    Parameters:
      `url` - a URL from a class loader, most likely a file system file or a JAR entry.
    Returns:
      the class stub
    Throws:
      `IOException` - if reading from this URL is impossible